## gnome-sushi 3.24.0

=== debian/changelog ===
gnome-sushi (3.24.0-3) unstable; urgency=medium

  * Update Vcs fields for conversion to git
  * Add debian/gbp.conf
  * Bump Standards-Version to 4.1.2
  * Bump debhelper compat to 11

 -- Jeremy Bicha <jbicha@debian.org>  Sat, 16 Dec 2017 18:16:38 -0500

gnome-sushi (3.24.0-2) unstable; urgency=medium

  * Drop deprecated --list-missing parameter from dh_install.
    This functionality was replaced by the dh_missing tool. Since gnome-sushi
    only builds a single binary package, we don't need that anyway.
  * Bump Standards-Version to 4.1.1
  * Change priority from extra to optional.
    Priority extra has been deprecated.

 -- Michael Biebl <biebl@debian.org>  Sun, 12 Nov 2017 16:33:22 +0100

gnome-sushi (3.24.0-1) unstable; urgency=medium

  * New upstream release.

 -- Andreas Henriksson <andreas@fatal.se>  Sun, 02 Jul 2017 08:10:37 +0200

=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
# 
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.
Source: gnome-sushi
Section: gnome
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Jeremy Bicha <jbicha@debian.org>, Josselin Mouette <joss@debian.org>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>
Build-Depends: debhelper (>= 11),
               gnome-pkg-tools (>= 0.11),
               gobject-introspection (>= 0.9.6),
               intltool,
               libclutter-1.0-dev (>= 1.11.4),
               libclutter-gst-3.0-dev,
               libclutter-gtk-1.0-dev (>= 1.0.1),
               libdiscid-dev,
               libevince-dev,
               libfreetype6-dev,
               libgjs-dev (>= 1.40),
               libglib2.0-dev (>= 2.29.14),
               libgstreamer1.0-dev,
               libgstreamer-plugins-base1.0-dev,
               libgtk-3-dev (>= 3.13.2),
               libgtksourceview-3.0-dev,
               libmusicbrainz5-dev,
               libneon27-gnutls-dev,
               libwebkit2gtk-4.0-dev
Standards-Version: 4.1.2
Vcs-Git: https://anonscm.debian.org/git/pkg-gnome/gnome-sushi.git
Vcs-Browser: https://anonscm.debian.org/git/pkg-gnome/gnome-sushi.git
Homepage: http://git.gnome.org/browse/sushi

Package: gnome-sushi
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${gir:Depends},
         nautilus (>= 3.2),
         gir1.2-clutter-gst-3.0,
         gir1.2-gtkclutter-1.0,
         gir1.2-glib-2.0,
         gir1.2-gstreamer-1.0,
         gir1.2-pango-1.0,
         gir1.2-webkit2-4.0,
         gstreamer1.0-plugins-good
Suggests: gstreamer1.0-libav
Description: sushi is a quick previewer for nautilus
 Sushi is a GtkClutter and Javascript-based quick previewer
 for Nautilus, the GNOME desktop file manager.
 Sushi is a DBus-activated service. It is capable of previewing
 documents, PDFs, sound and video files (using GStreamer),
 some text files, and possibly others in the future.
 .
 To activate the preview, left-click the file and hit space.
 The preview can be closed by hitting space again, or escape.

=== debian/rules ===
#!/usr/bin/make -f

GNOME_MODULE := sushi

-include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk
include /usr/share/dpkg/architecture.mk

export DEB_LDFLAGS_MAINT_APPEND=-Wl,-z,defs -Wl,-O1 -Wl,--as-needed

%:
	dh $@ --with gnome,gir

override_dh_autoreconf:
	dh_autoreconf --as-needed

override_dh_makeshlibs:
	dh_makeshlibs -X/usr/lib/$(DEB_HOST_MULTIARCH)/sushi

override_dh_girepository:
	dh_girepository -ldebian/gnome-sushi/usr/share/sushi/gir-1.0 \
		/usr/lib/$(DEB_HOST_MULTIARCH)/sushi/ \
		/usr/lib/$(DEB_HOST_MULTIARCH)/sushi/girepository-1.0/

override_dh_install:
	find debian -name '*.la' -print -delete
	dh_install

## gnome-sushi 3.30.0

=== debian/changelog ===
gnome-sushi (3.30.0-2) unstable; urgency=medium

  * Restore -Wl,-O1 to our LDFLAGS
  * Bump Standards-Version to 4.3.0

 -- Jeremy Bicha <jbicha@debian.org>  Tue, 25 Dec 2018 10:06:35 -0500

gnome-sushi (3.30.0-1) unstable; urgency=medium

  * New upstream release
  * Bump Standards-Version to 4.2.1

 -- Tim Lunn <tim@feathertop.org>  Tue, 18 Sep 2018 12:55:55 +1000

gnome-sushi (3.28.3-1) unstable; urgency=medium

  * New upstream release
  * Update Vcs fields for migration to https://salsa.debian.org/
  * Bump Standards-Version to 4.1.4

 -- Jeremy Bicha <jbicha@debian.org>  Thu, 10 May 2018 10:51:19 -0400

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,12 @@
 # This file is autogenerated. DO NOT EDIT!
-# 
+#
 # Modifications should be made to debian/control.in instead.
 # This file is regenerated automatically in the clean target.
 Source: gnome-sushi
 Section: gnome
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Jeremy Bicha <jbicha@debian.org>, Josselin Mouette <joss@debian.org>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>
+Uploaders: Jeremy Bicha <jbicha@debian.org>, Josselin Mouette <joss@debian.org>, Michael Biebl <biebl@debian.org>, Tim Lunn <tim@feathertop.org>
 Build-Depends: debhelper (>= 11),
                gnome-pkg-tools (>= 0.11),
                gobject-introspection (>= 0.9.6),
@@ -26,9 +26,9 @@
                libmusicbrainz5-dev,
                libneon27-gnutls-dev,
                libwebkit2gtk-4.0-dev
-Standards-Version: 4.1.2
-Vcs-Git: https://anonscm.debian.org/git/pkg-gnome/gnome-sushi.git
-Vcs-Browser: https://anonscm.debian.org/git/pkg-gnome/gnome-sushi.git
+Standards-Version: 4.3.0
+Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-sushi
+Vcs-Git: https://salsa.debian.org/gnome-team/gnome-sushi.git
 Homepage: http://git.gnome.org/browse/sushi
 
 Package: gnome-sushi

=== debian/rules ===
--- 
+++ 
@@ -1,11 +1,7 @@
 #!/usr/bin/make -f
 
-GNOME_MODULE := sushi
-
--include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk
-include /usr/share/dpkg/architecture.mk
-
-export DEB_LDFLAGS_MAINT_APPEND=-Wl,-z,defs -Wl,-O1 -Wl,--as-needed
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs -Wl,--as-needed
 
 %:
 	dh $@ --with gnome,gir

## gnome-sushi 3.32.0

=== debian/changelog ===
gnome-sushi (3.32.0-1) experimental; urgency=medium

  * New upstream release
  * Build with meson
  * Build-Depend on debhelper-compat 12 and drop debian/compat
  * Build-Depend on dh-sequence-gir and dh-sequence-gnome
  * Opt in to Ubuntu language packs

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 10 Mar 2019 13:14:04 -0400

=== debian/control ===
--- 
+++ 
@@ -6,11 +6,10 @@
 Section: gnome
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Jeremy Bicha <jbicha@debian.org>, Josselin Mouette <joss@debian.org>, Michael Biebl <biebl@debian.org>, Tim Lunn <tim@feathertop.org>
-Build-Depends: debhelper (>= 11),
-               gnome-pkg-tools (>= 0.11),
-               gobject-introspection (>= 0.9.6),
-               intltool,
+Uploaders: Jeremy Bicha <jbicha@debian.org>, Michael Biebl <biebl@debian.org>, Tim Lunn <tim@feathertop.org>
+Build-Depends: debhelper-compat (= 12),
+               dh-sequence-gir,
+               dh-sequence-gnome,
                libclutter-1.0-dev (>= 1.11.4),
                libclutter-gst-3.0-dev,
                libclutter-gtk-1.0-dev (>= 1.0.1),
@@ -25,8 +24,10 @@
                libgtksourceview-3.0-dev,
                libmusicbrainz5-dev,
                libneon27-gnutls-dev,
-               libwebkit2gtk-4.0-dev
+               libwebkit2gtk-4.0-dev,
+               meson (>= 0.42.0),
 Standards-Version: 4.3.0
+X-Ubuntu-Use-Langpack: yes
 Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-sushi
 Vcs-Git: https://salsa.debian.org/gnome-team/gnome-sushi.git
 Homepage: http://git.gnome.org/browse/sushi

## gnome-sushi 3.34.0

=== debian/changelog ===
gnome-sushi (3.34.0-2) unstable; urgency=medium

  * Upload to unstable

 -- Jeremy Bicha <jbicha@debian.org>  Thu, 10 Oct 2019 06:59:02 -0400

gnome-sushi (3.34.0-1) experimental; urgency=medium

  * New upstream release
  * Update build-dependencies according to meson.build changes
  * Add missing gjs dependency in sushi package
  * Tweak package description for clutter dep removal

 -- Andreas Henriksson <andreas@fatal.se>  Fri, 13 Sep 2019 22:25:20 +0200

=== debian/control ===
--- 
+++ 
@@ -10,10 +10,8 @@
 Build-Depends: debhelper-compat (= 12),
                dh-sequence-gir,
                dh-sequence-gnome,
-               libclutter-1.0-dev (>= 1.11.4),
-               libclutter-gst-3.0-dev,
-               libclutter-gtk-1.0-dev (>= 1.0.1),
                libdiscid-dev,
+               libepoxy-dev,
                libevince-dev,
                libfreetype6-dev,
                libgjs-dev (>= 1.40),
@@ -21,12 +19,12 @@
                libgstreamer1.0-dev,
                libgstreamer-plugins-base1.0-dev,
                libgtk-3-dev (>= 3.13.2),
-               libgtksourceview-3.0-dev,
+               libgtksourceview-4-dev,
                libmusicbrainz5-dev,
                libneon27-gnutls-dev,
                libwebkit2gtk-4.0-dev,
-               meson (>= 0.42.0),
-Standards-Version: 4.3.0
+               meson (>= 0.46.0),
+Standards-Version: 4.4.0
 X-Ubuntu-Use-Langpack: yes
 Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-sushi
 Vcs-Git: https://salsa.debian.org/gnome-team/gnome-sushi.git
@@ -37,9 +35,8 @@
 Depends: ${shlibs:Depends},
          ${misc:Depends},
          ${gir:Depends},
+         gjs,
          nautilus (>= 3.2),
-         gir1.2-clutter-gst-3.0,
-         gir1.2-gtkclutter-1.0,
          gir1.2-glib-2.0,
          gir1.2-gstreamer-1.0,
          gir1.2-pango-1.0,
@@ -47,7 +44,7 @@
          gstreamer1.0-plugins-good
 Suggests: gstreamer1.0-libav
 Description: sushi is a quick previewer for nautilus
- Sushi is a GtkClutter and Javascript-based quick previewer
+ Sushi is a Gtk+ and Javascript-based quick previewer
  for Nautilus, the GNOME desktop file manager.
  Sushi is a DBus-activated service. It is capable of previewing
  documents, PDFs, sound and video files (using GStreamer),

=== debian/watch ===
version=4
https://download.gnome.org/sources/sushi/([\d\.]+[02468])/ \
	sushi@ANY_VERSION@\.tar\.xz

## gnome-sushi 3.38.0

=== debian/changelog ===
gnome-sushi (3.38.0-1) unstable; urgency=medium

  [ Will Thompson ]
  * Depend on gstreamer1.0-gtk3 for gtkglsink and gtksink, without which
    videos cannot be previewed. (Closes: #801678)

  [ Laurent Bigonville ]
  * New upstream release (Closes: #974543, #974763)
  * debian/control.in: Bump Standards-Version to 4.5.1 (no further changes)

 -- Laurent Bigonville <bigon@debian.org>  Mon, 07 Dec 2020 14:11:54 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Section: gnome
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Jeremy Bicha <jbicha@debian.org>, Michael Biebl <biebl@debian.org>, Tim Lunn <tim@feathertop.org>
+Uploaders: Jeremy Bicha <jbicha@debian.org>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>, Tim Lunn <tim@feathertop.org>
 Build-Depends: debhelper-compat (= 12),
                dh-sequence-gir,
                dh-sequence-gnome,
@@ -24,7 +24,7 @@
                libneon27-gnutls-dev,
                libwebkit2gtk-4.0-dev,
                meson (>= 0.46.0),
-Standards-Version: 4.4.0
+Standards-Version: 4.5.1
 X-Ubuntu-Use-Langpack: yes
 Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-sushi
 Vcs-Git: https://salsa.debian.org/gnome-team/gnome-sushi.git
@@ -41,6 +41,7 @@
          gir1.2-gstreamer-1.0,
          gir1.2-pango-1.0,
          gir1.2-webkit2-4.0,
+         gstreamer1.0-gtk3,
          gstreamer1.0-plugins-good
 Suggests: gstreamer1.0-libav
 Description: sushi is a quick previewer for nautilus

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs -Wl,--as-needed

%:
	dh $@

override_dh_makeshlibs:
	dh_makeshlibs -X/usr/lib/$(DEB_HOST_MULTIARCH)/sushi

override_dh_girepository:
	dh_girepository -ldebian/gnome-sushi/usr/share/sushi/gir-1.0 \
		/usr/lib/$(DEB_HOST_MULTIARCH)/sushi/ \
		/usr/lib/$(DEB_HOST_MULTIARCH)/sushi/girepository-1.0/

## gnome-sushi 3.38.1

=== debian/changelog ===
gnome-sushi (3.38.1-1) unstable; urgency=medium

  * New upstream release
  * Bump debhelper-compat to 13
  * debian/rules: Drop unneeded -Wl,--as-needed

 -- Jeremy Bicha <jbicha@debian.org>  Thu, 19 Aug 2021 19:57:57 -0400

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Jeremy Bicha <jbicha@debian.org>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>, Tim Lunn <tim@feathertop.org>
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-sequence-gir,
                dh-sequence-gnome,
                libdiscid-dev,

## gnome-sushi 41.0

=== debian/changelog ===
gnome-sushi (41.0-2) unstable; urgency=medium

  * debian/control.in: Explicitly add some missing runtime dependencies
  * debian/control.in: Bump Standards-Version to 4.6.0 (no further changes)

 -- Laurent Bigonville <bigon@debian.org>  Wed, 22 Sep 2021 10:38:54 +0200

gnome-sushi (41.0-1) unstable; urgency=medium

  * New upstream release
  * debian/control.in: Drop libmusicbrainz5-dev from Build-Depends.
    Sushi continues to use MusicBrainz but without using that library
  * Cherry-pick patch to allow right-click menu

 -- Jeremy Bicha <jbicha@debian.org>  Tue, 21 Sep 2021 19:28:28 -0400

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Section: gnome
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Jeremy Bicha <jbicha@debian.org>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>, Tim Lunn <tim@feathertop.org>
+Uploaders: Jeremy Bicha <jbicha@debian.org>, Laurent Bigonville <bigon@debian.org>, Tim Lunn <tim@feathertop.org>
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-gir,
                dh-sequence-gnome,
@@ -20,11 +20,10 @@
                libgstreamer-plugins-base1.0-dev,
                libgtk-3-dev (>= 3.13.2),
                libgtksourceview-4-dev,
-               libmusicbrainz5-dev,
                libneon27-gnutls-dev,
                libwebkit2gtk-4.0-dev,
                meson (>= 0.46.0),
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 X-Ubuntu-Use-Langpack: yes
 Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-sushi
 Vcs-Git: https://salsa.debian.org/gnome-team/gnome-sushi.git
@@ -37,9 +36,14 @@
          ${gir:Depends},
          gjs,
          nautilus (>= 3.2),
+         gir1.2-evince-3.0,
+         gir1.2-gdkpixbuf-2.0,
          gir1.2-glib-2.0,
          gir1.2-gstreamer-1.0,
+         gir1.2-gst-plugins-base-1.0,
+         gir1.2-gtksource-4,
          gir1.2-pango-1.0,
+         gir1.2-soup-2.4,
          gir1.2-webkit2-4.0,
          gstreamer1.0-gtk3,
          gstreamer1.0-plugins-good

## gnome-sushi 41.1

=== debian/changelog ===
gnome-sushi (41.1-1) unstable; urgency=medium

  * New upstream release
  * Drop all patches: applied in new release
  * Update debian/copyright

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 01 Apr 2022 08:10:42 -0400

gnome-sushi (41.0-4) unstable; urgency=medium

  * Cherry-pick patch to enable the web process sandbox

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 31 Mar 2022 13:35:09 -0400

gnome-sushi (41.0-3) unstable; urgency=medium

  * debian/control.in: Build-Depend on gjs

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 24 Mar 2022 14:32:04 -0400

## gnome-sushi 41.2

=== debian/changelog ===
gnome-sushi (41.2-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 15 Apr 2022 14:59:21 -0400

=== debian/control ===
--- 
+++ 
@@ -6,10 +6,11 @@
 Section: gnome
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Jeremy Bicha <jbicha@debian.org>, Laurent Bigonville <bigon@debian.org>, Tim Lunn <tim@feathertop.org>
+Uploaders: Jeremy Bicha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>, Tim Lunn <tim@feathertop.org>
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-gir,
                dh-sequence-gnome,
+               gjs (>= 1.40),
                libdiscid-dev,
                libepoxy-dev,
                libevince-dev,

## gnome-sushi 42.0

=== meson_options.txt ===
option('wayland',
	type: 'feature',
	value: 'auto',
	description: 'Build with Wayland support.')
option('X11',
	type: 'feature',
	value: 'auto',
	description: 'Build with legacy X11 support.')

=== debian/changelog ===
gnome-sushi (42.0-0ubuntu1) jammy; urgency=medium

  * New upstream release (LP: #1980531)
    - Fixes inability to preview many files (LP: #1971545)
    - Fixes inability to preview PDFs on a remote server

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 01 Jul 2022 10:39:58 -0400

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,8 @@
 Source: gnome-sushi
 Section: gnome
 Priority: optional
-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Jeremy Bicha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>, Tim Lunn <tim@feathertop.org>
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-gir,
@@ -26,8 +27,10 @@
                meson (>= 0.46.0),
 Standards-Version: 4.6.0
 X-Ubuntu-Use-Langpack: yes
-Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-sushi
-Vcs-Git: https://salsa.debian.org/gnome-team/gnome-sushi.git
+Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-sushi/tree/ubuntu/jammy
+Vcs-Git: https://salsa.debian.org/gnome-team/gnome-sushi.git -b ubuntu/jammy
+XS-Debian-Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-sushi
+XS-Debian-Vcs-Git: https://salsa.debian.org/gnome-team/gnome-sushi.git
 Homepage: http://git.gnome.org/browse/sushi
 
 Package: gnome-sushi

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
-export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs -Wl,--as-needed
+export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs
 
 %:
 	dh $@

=== debian/watch ===
version=4
opts="searchmode=plain, uversionmangle=s/\.(alpha|beta|rc)/~$1/" \
https://download.gnome.org/sources/sushi/cache.json \
	[\d.]+/sushi-([\d.]+)@ARCHIVE_EXT@

## gnome-sushi 43.0

=== debian/changelog ===
gnome-sushi (43.0-2) unstable; urgency=medium

  * Depend on default-dbus-session-bus | dbus-session-bus (Closes: #912366)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 05 Dec 2022 17:05:02 -0500

gnome-sushi (43.0-1) unstable; urgency=medium

  [ Jeremy Bicha ]
  * New upstream release
  * Drop all patches: applied in new release
  * debian/control.in: Set Rules-Requires-Root: no

  [ Debian Janitor ]
  * Set upstream metadata fields
  * Update standards version to 4.6.1, no changes needed

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 16 Sep 2022 09:11:57 -0400

gnome-sushi (42.0-3) unstable; urgency=high

  * Cherry-pick patch to fix webkitgtk 4.1 support (Closes: #1019280)
  * Add another patch to fix another webkitgtk 4.1 issue

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 06 Sep 2022 16:38:45 -0400

gnome-sushi (42.0-2) unstable; urgency=medium

  * Switch to webkit2gtk 4.1 (uses libsoup3)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sun, 28 Aug 2022 12:02:38 -0400

gnome-sushi (42.0-1) unstable; urgency=medium

  * New upstream release
    - Fixes inability to preview many files (LP: #1971545)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 01 Jul 2022 10:04:15 -0400

=== debian/control ===
--- 
+++ 
@@ -5,9 +5,8 @@
 Source: gnome-sushi
 Section: gnome
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Jeremy Bicha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>, Tim Lunn <tim@feathertop.org>
+Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Jeremy Bicha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-gir,
                dh-sequence-gnome,
@@ -23,14 +22,13 @@
                libgtk-3-dev (>= 3.13.2),
                libgtksourceview-4-dev,
                libneon27-gnutls-dev,
-               libwebkit2gtk-4.0-dev,
+               libwebkit2gtk-4.1-dev,
                meson (>= 0.46.0),
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
+Rules-Requires-Root: no
 X-Ubuntu-Use-Langpack: yes
-Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-sushi/tree/ubuntu/jammy
-Vcs-Git: https://salsa.debian.org/gnome-team/gnome-sushi.git -b ubuntu/jammy
-XS-Debian-Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-sushi
-XS-Debian-Vcs-Git: https://salsa.debian.org/gnome-team/gnome-sushi.git
+Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-sushi
+Vcs-Git: https://salsa.debian.org/gnome-team/gnome-sushi.git
 Homepage: http://git.gnome.org/browse/sushi
 
 Package: gnome-sushi
@@ -38,6 +36,7 @@
 Depends: ${shlibs:Depends},
          ${misc:Depends},
          ${gir:Depends},
+         default-dbus-session-bus | dbus-session-bus,
          gjs,
          nautilus (>= 3.2),
          gir1.2-evince-3.0,
@@ -47,8 +46,7 @@
          gir1.2-gst-plugins-base-1.0,
          gir1.2-gtksource-4,
          gir1.2-pango-1.0,
-         gir1.2-soup-2.4,
-         gir1.2-webkit2-4.0,
+         gir1.2-webkit2-4.1,
          gstreamer1.0-gtk3,
          gstreamer1.0-plugins-good
 Suggests: gstreamer1.0-libav

=== debian/watch ===
version=4
opts="searchmode=plain, uversionmangle=s/\.(alpha|beta|rc)/~$1/, downloadurlmangle=s|cache.json||" \
https://download.gnome.org/sources/sushi/cache.json \
	[\d.]+/sushi-([\d.]+)@ARCHIVE_EXT@

## gnome-sushi 44.2

=== debian/changelog ===
gnome-sushi (44.2-1) unstable; urgency=medium

  * New upstream release
  * debian/control.in: Update libfreetype-dev Build-Depends package name
  * Update standards version to 4.6.2, no changes needed

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 09 Jun 2023 10:35:51 -0400

## gnome-sushi 45~alpha.2

=== debian/changelog ===
gnome-sushi (45~alpha.2-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 16 Aug 2023 12:16:03 -0400

## gnome-sushi 45.0

=== debian/changelog ===
gnome-sushi (45.0-1) unstable; urgency=medium

  * New upstream release
  * debian/docs: README -> README.md

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 18 Sep 2023 15:17:27 -0400

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
                libdiscid-dev,
                libepoxy-dev,
                libevince-dev,
-               libfreetype6-dev,
+               libfreetype-dev,
                libgjs-dev (>= 1.40),
                libglib2.0-dev (>= 2.29.14),
                libgstreamer1.0-dev,
@@ -24,7 +24,7 @@
                libneon27-gnutls-dev,
                libwebkit2gtk-4.1-dev,
                meson (>= 0.46.0),
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 X-Ubuntu-Use-Langpack: yes
 Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-sushi

## gnome-sushi 46.0

=== meson_options.txt ===
--- 
+++ 
@@ -6,3 +6,8 @@
 	type: 'feature',
 	value: 'auto',
 	description: 'Build with legacy X11 support.')
+option('profile',
+	type: 'combo',
+	choices: ['default', 'development'],
+	value: 'default',
+	description: 'Build with default or development App Id.')

=== debian/changelog ===
gnome-sushi (46.0-3) unstable; urgency=medium

  * Remove direct Depends: dbus-session-bus
  * Update Build-Depends: libevince-dev → libevince-gtk3-dev
  * Update Standards Version to 4.7.3

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 11 Feb 2026 08:58:36 -0500

gnome-sushi (46.0-2) unstable; urgency=medium

  * Update Homepage
  * Bump Standards Version to 4.7.0

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 18 Sep 2024 13:24:52 -0400

gnome-sushi (46.0-1) unstable; urgency=medium

  * New upstream release (LP: #2062105)
  * Stop using debian/control.in and dh_gnome_clean

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 17 Apr 2024 23:33:09 -0400

=== debian/control ===
Source: gnome-sushi
Standards-Version: 4.7.3
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Jeremy Bícha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>
Section: gnome
Build-Depends: debhelper-compat (= 13),
               dh-sequence-gir,
               dh-sequence-gnome,
               gjs,
               libdiscid-dev,
               libepoxy-dev,
               libevince-gtk3-dev,
               libfreetype-dev,
               libgjs-dev,
               libglib2.0-dev,
               libgstreamer-plugins-base1.0-dev,
               libgstreamer1.0-dev,
               libgtk-3-dev,
               libgtksourceview-4-dev,
               libneon27-gnutls-dev,
               libwebkit2gtk-4.1-dev,
               meson
Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-sushi
Vcs-Git: https://salsa.debian.org/gnome-team/gnome-sushi.git
Homepage: https://gitlab.gnome.org/GNOME/sushi
X-Ubuntu-Use-Langpack: yes

Package: gnome-sushi
Architecture: any
Depends: gir1.2-evince-3.0,
         gir1.2-gdkpixbuf-2.0,
         gir1.2-glib-2.0,
         gir1.2-gst-plugins-base-1.0,
         gir1.2-gstreamer-1.0,
         gir1.2-gtksource-4,
         gir1.2-pango-1.0,
         gir1.2-webkit2-4.1,
         gjs,
         gstreamer1.0-gtk3,
         gstreamer1.0-plugins-good,
         nautilus,
         ${gir:Depends},
         ${misc:Depends},
         ${shlibs:Depends}
Suggests: gstreamer1.0-libav
Description: sushi is a quick previewer for nautilus
 Sushi is a Gtk+ and Javascript-based quick previewer
 for Nautilus, the GNOME desktop file manager.
 Sushi is a DBus-activated service. It is capable of previewing
 documents, PDFs, sound and video files (using GStreamer),
 some text files, and possibly others in the future.
 .
 To activate the preview, left-click the file and hit space.
 The preview can be closed by hitting space again, or escape.

=== debian/rules ===
--- 
+++ 
@@ -13,3 +13,6 @@
 	dh_girepository -ldebian/gnome-sushi/usr/share/sushi/gir-1.0 \
 		/usr/lib/$(DEB_HOST_MULTIARCH)/sushi/ \
 		/usr/lib/$(DEB_HOST_MULTIARCH)/sushi/girepository-1.0/
+
+# We only use dh_gnome to automatically run dh_translations in Ubuntu
+override_dh_gnome:
